# createvirtualspace.c File Reference

`#include <vmm/vmm.h>`

Include dependency graph for createvirtualspace.c:

Go to the source code of this file.

## Functions

void * | vmmCreateVirtualSpace (pid_t pid)

## Function Documentation

void* vmmCreateVirtualSpace | ( | pid_t | pid | ) |

Definition at line 81 of file createvirtualspace.c.

References PAGE_DEFAULT, pageEntries, parentPageDirAddr, tablesBaseAddress, vmm_getPhysicalAddr(), vmmGetFreePage(), and vmmUnmapPage().

Referenced by execFile().

Here is the call graph for this function: